Skip to main content
GET
/
v2
/
wallets
/
{id}
/
yield
Get wallet yield
curl --request GET \
  --url https://sandbox.groundtech.co/v2/wallets/{id}/yield \
  --header 'Authorization: Bearer <token>'
{
  "walletId": "b1c2d3e4-0000-4000-8000-000000000001",
  "earnedUsd": "250.000000",
  "currentBalanceUsd": "82500.000000",
  "yieldSources": [
    {
      "yieldSourceId": "syrup-usdc",
      "name": "Syrup USDC",
      "type": "variable",
      "apyBps": 500,
      "allocationPct": 40
    },
    {
      "yieldSourceId": "usdz",
      "name": "Anzen USDz",
      "type": "fixed",
      "apyBps": 330,
      "allocationPct": 60
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Wallet ID

Response

Yield data for the wallet

walletId
string<uuid>
earnedUsd
string

Cumulative yield earned since wallet creation.

currentBalanceUsd
string

Current total wallet balance (principal + yield).

yieldSources
object[]

APY breakdown per yield source in the wallet's strategy.